Name:           perl-Authen-Krb5
Version:        1.9
Release:        1%{?dist}
Summary:        Krb5 Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Krb5/
Source0:        http://www.cpan.org/authors/id/J/JH/JHORWITZ/Krb5-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  perl(ExtUtils::MakeMaker) 
BuildRequires:  krb5-devel
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Authen::Krb5 is an object oriented interface to the Kerberos 5 API. Both
the implementation and documentation are nowhere near complete, and may
require previous experience with Kerberos 5 programming. Most of the
functions here are documented in detail in the Kerberos 5 API
documentation.

%prep
%setup -q -n Krb5-%{version}

# Fix the references to /usr/local/bin/perl
sed -i 's|/usr/local/bin/perl|/usr/bin/perl|' \
  sample_client sample_server simple_client simple_server

%build

# Rewrite the Makefile with our local paths
mv Makefile.PL Makefile.PL.old
cat Makefile.PL.old | \
  sed -e's|/usr/lib|%{_libdir}|' \
      -e's|/usr/include|%{_includedir}|' \
  > Makefile.PL

%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT
chmod 644 sample_client sample_server simple_client simple_server

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes COPYRIGHT README sample_client sample_server simple_client simple_server TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Authen
%{_mandir}/man3/*

%changelog
* Tue Feb 8 2011 Simon Wilkinson <simon@sxw.org.uk> - 1.9-1
- 673472 Update to 1.9

* Tue Jan 29 2008 Simon Wilkinson <simon@sxw.org.uk> 1.7-3
- Fix library path, so that libk5crypto is used, and not libcrypto

* Mon Jan 28 2008 Simon Wilkinson <simon@sxw.org.uk> 1.7-2
- Use sed, rather than a patch to fix references to perl binary 
  review comment)

* Mon Jan 28 2008 Simon Wilkinson <simon@sxw.org.uk> 1.7-1
- Specfile autogenerated by cpanspec 1.74.
